¿Cómo instalar el paquete LaTeX llamado “independiente” correctamente para que pueda obtener una actualización con el administrador de paquetes Synaptic?

¿Cómo instalar el paquete LaTeX llamado “independiente” correctamente para que pueda obtener una actualización con el administrador de paquetes Synaptic?

Sé que puedo descargar manualmente el archivo e instalarlo.

ACTUALIZACIÓN (2015-12-07): standalone.sty ahora debería ser instalable con un simple

 sudo apt-get install texlive-latex-extra 

. Manteniendo la respuesta como referencia.

La búsqueda

 sudo apt-file search standalone.sty 

no da ningun resultado Esto significa que el paquete no se puede instalar utilizando Synaptic.

La razón se encuentra en la respuesta de Martin Scharrer: el paquete no está incluido en TeXlive 2009 porque es demasiado nuevo. TeXLive 2009 es la versión empaquetada con Ubuntu, no hay TeXlive 201. Además, los paquetes de Ubuntu no parecen recibir actualizaciones una vez que están fuera.

Lo anterior es la razón por la que instalé TeXlive usando tlmgr en mi hogar , en ~/.texlive2011 . Funciona de maravilla.

Soy el autor de standalone . Es más reciente que TeX Live 2009, que es la versión instalada por Ubuntu y Debian. La versión actual de TeX Live es 2011. Si instala la versión de vainilla directamente, obtendrá un administrador de paquetes de TeX llamado tlmgr que se puede usar para instalar y actualizar paquetes siempre que sean parte de TeX Live. Te recomiendo que hagas una instalación manual. Puede encontrar instrucciones en TeX.SX: ¿Cómo instalar TeXLive “vanilla” en Debian o Ubuntu?

A continuación, puede instalar la versión standalone con el siguiente comando:

 tlmgr install standalone 

Por cierto, puedes actualizar los paquetes y tlmgr usando:

 tlmgr update --self --all 

Una alternativa es instalar solo el paquete manualmente. Esto se puede hacer fácilmente usando el archivo ZIP TDS disponible en http://mirrors.ctan.org/install/macros/latex/contrib/standalone.tds.zip . Simplemente descomprímalo en su carpeta TEXMF local, usualmente ~/texmf . Puede que necesites ejecutar texhash ~/texmf después.

Después de instalar y actualizar apt-file ( sudo apt-get install apt-file; sudo apt-file update ), ejecuté la apt-file search standalone.sty y vi que pertenecía a texlive-latex-extra .

Así que lo acabo de instalar ( sudo apt-get install texlive-latex-extra ) y funcionó.